## c-blosc 1.21.1+ds1

=== debian/changelog ===
c-blosc (1.21.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Adopt package. Closes: #945176
  * d/watch: Update URL to GitHub.
  * d/control:
    - Drop version constriction on build-dependency
    - Update Standards-Version to 4.6.0
  * d/copyright: Update mail address.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 06 Oct 2021 21:22:31 +0200
