=== debian/changelog ===
c-blosc (1.21.1+ds2-2) unstable; urgency=medium

  * Compile with '-O1' on mips64el. Closes: #1000953

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 06 Dec 2021 14:58:56 +0100

c-blosc (1.21.1+ds2-1) unstable; urgency=medium

  [ Håvard Flaget Aasen ]
  * Change repacking of source. Only remove third-party libraries.
  * Add pkgconfig file.
  * d/copyright:
    - Include files from blosc/win32/*, blosc/fastcopy.c and blosc/blosclz.*
    - Be more specific regarding blosc/bitshuffle* files.
  * d/rules:
    - Verbose build, default to off.
    - Remove commented out configure options.

  [ Mathieu Malaterre ]
  * d/patches: blosc should support multiarch. Closes: #836575
  * d/symbols: Add missing symbol file


 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 26 Nov 2021 15:20:38 +0100
