=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
  Blosc.
 
 Package: libblosc1
+Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
