=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds2 \
https://github.com/Blosc/@PACKAGE@/releases/latest .*/v?@ANY_VERSION@@ARCHIVE_EXT@
