=== debian/changelog ===
c-blosc (1.21.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch and search for tags on GitHub.
  * Drop patch, included upstream.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Fri, 09 Dec 2022 22:59:17 +0100

c-blosc (1.21.1+ds2-3) unstable; urgency=medium

  * Mark *-dev package, Multi-Arch: same.
  * Drop pandoc as build dependency, install unconverted *.md file.
  * Mark multiarch.patch as forwarded upstream.
  * Update Standards-Version to 4.6.1
  * Update maintainer name and mail.
  * d/copyright: Include myself under debian/* paragraph.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 19 Jul 2022 12:03:19 +0200
