=== debian/changelog ===
c-blosc (1.21.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2, no changes needed.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 19 Dec 2022 16:30:24 +0100
