=== debian/changelog ===
c-blosc (1.21.5+ds-2) unstable; urgency=medium

  * Add patch from upstream to fix FTBFS with CMake 4. Closes: #1112742
  * Add patch from upstream to fix compile error with GCC 15.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Update copyright year for self.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 01 Sep 2025 20:59:58 +0200

c-blosc (1.21.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright
    - Add year 2023 to myself.
    - Update paragraph for blosc/blosclz.* files.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 09 Sep 2023 12:58:36 +0200
