=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: c-blosc
 Priority: optional
 Section: libs
-Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                liblz4-dev,
@@ -10,8 +10,7 @@
                libzstd-dev,
                python3-docutils <!nodoc>,
                links <!nodoc>,
-               pandoc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://blosc.org/
 Vcs-Browser: https://salsa.debian.org/debian/c-blosc
@@ -20,6 +19,7 @@
 Package: libblosc-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblosc1 (= ${binary:Version}),
          ${misc:Depends}
 Description: high performance meta-compressor optimized for binary data (development files)
